﻿using System.Security.Principal;
using Mayando.Web.Models;

namespace Mayando.Web.Extensions
{
    /// <summary>
    /// Provides extension methods for <see cref="IPrincipal"/> instances.
    /// </summary>
    public static class PrincipalExtensions
    {
        #region IsAdministrator

        /// <summary>
        /// Determines if a certain principal is an administrator.
        /// </summary>
        /// <param name="principal">The principal to check.</param>
        /// <returns><see langword="true"/> if the principal is an administrator, <see langword="false"/> otherwise.</returns>
        public static bool IsAdministrator(this IPrincipal principal)
        {
            if (SiteData.GlobalDemoMode)
            {
                return true;
            }
            else
            {
                return (principal == null ? false : principal.IsInRole(SiteData.GlobalAdministratorRoleName));
            }
        }

        #endregion
    }
}