﻿using JelleDruyts.Web.Mvc.Paging;
using Mayando.Web.Models;
using Mayando.Web.Infrastructure;

namespace Mayando.Web.ViewModels
{
    public class PhotosViewModel
    {
        public IPagedList<Photo> Photos { get; private set; }
        public NavigationContextType? NavigationContextType { get; private set; }
        public string NavigationContextCriteria { get; private set; }

        public PhotosViewModel(IPagedList<Photo> photos)
            : this(photos, null, null)
        {
        }

        public PhotosViewModel(IPagedList<Photo> photos, NavigationContextType? navigationContextType)
            : this(photos, navigationContextType, null)
        {
        }

        public PhotosViewModel(IPagedList<Photo> photos, NavigationContextType? navigationContextType, string navigationContextCriteria)
        {
            this.Photos = photos;
            this.NavigationContextType = navigationContextType;
            this.NavigationContextCriteria = navigationContextCriteria;
        }
    }
}