<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Mayando.Web.ViewModels.PhotosViewModel>" %>
    <table class="list">
        <tbody>
        <% foreach (var photo in Model.Photos) { %>
            <tr>
                <% if (Page.User.IsAdministrator()) { %>
                <td>
                    <%= Html.Hidden(string.Format("photos[{0}].Key", Model.Photos.IndexOf(photo)), photo.Id)%>
                    <%= Html.CheckBox(string.Format("photos[{0}].Value", Model.Photos.IndexOf(photo)), true)%>
                </td>
                <% } %>
                <td>
                    <% Html.RenderPartial("PhotoThumbnail", new PhotoThumbnailViewModel(photo, Model.NavigationContextType, Model.NavigationContextCriteria)); %>
                </td>
                <td>
                    <div class="listitem" id="photo-<%= photo.Id %>">
                        <div class="listitem-title"><a href="<%= Url.PhotoDetails(photo, Model.NavigationContextType, Model.NavigationContextCriteria) %>"><%= Html.Encode(photo.DisplayTitle) %></a></div>
                        <div class="listitem-content"><%= photo.Text %></div>
                        <div class="listitem-footer">
                            <% if (photo.Comments.Count > 0) { %>
                            <span><%= Html.NumberOfComments(photo.Comments.Count) %></span> |
                            <% } %>
                            <% if (photo.DateTaken.HasValue) { %>
                            <span><%= Html.DateTimeText(photo.DateTaken, Resources.PhotoTaken)%></span> |
                            <% } %>
                            <span><%= Html.DateTimeText(photo.DatePublished, Resources.PhotoPublished)%></span>
                        </div>
                    </div>
                </td>
            </tr>
        <% } %>
        </tbody>
    </table>