<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<Mayando.Web.ViewModels.SettingViewModel>>" %>
<% if(Model.Count() > 0) { %>
<table>
    <thead>
        <tr>
            <th>Setting</th>
            <th>Value</th>
            <th>Help</th>
        </tr>
    </thead>
    <tbody>
        <% int i = 0;
           foreach (var item in Model) {
               if (item.Setting.UserVisible) { %>
        <tr>
            <td>
                <%= Html.Hidden(string.Format("settings[{0}].Key", i), item.Setting.Name)%>
                <%= Html.Encode(item.Setting.DisplayTitle)%>
            </td>
            <td>
                <% if (item.AllowedValues != null) { %>
                <%= Html.DropDownList(string.Format("settings[{0}].Value", i++), item.AllowedValues)%>
                <% } else if(item.Setting.SettingType == SettingType.Boolean) { %>
                <%= Html.CheckBox(string.Format("settings[{0}].Value", i++), string.Equals(bool.TrueString, item.Setting.Value, StringComparison.OrdinalIgnoreCase))%>
                <% } else if(item.Setting.SettingType == SettingType.Html) { %>
                <% Html.RenderPartial("HtmlEditor", new HtmlEditorViewModel(string.Format("settings[{0}].Value", i++), item.Setting.Value, 3));  %>
                <% } else { %>
                <%= Html.TextBox(string.Format("settings[{0}].Value", i++), item.Setting.Value)%>
                <% } %>
            </td>
            <td>
                <% if (!string.IsNullOrEmpty(item.Setting.Description)) { %>
                <span title="<%= Html.AttributeEncode(item.Setting.Description) %>" class="help">?</span>
                <% } %>
            </td>
        </tr>
        <%     }
           } %>
    </tbody>
    <tfoot>
        <tr>
            <td colspan="3"><input type="submit" value="Update Settings" /></td>
        </tr>
    </tfoot>
</table>
<% } %>